Bug 1643841 - [RFE] Support disable IPV6(including link-local) in connection
Summary: [RFE] Support disable IPV6(including link-local) in connection
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: NetworkManager
Version: 8.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 8.0
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1682336
Blocks: 1647690 1689408 1701002
TreeView+ depends on / blocked
 
Reported: 2018-10-29 07:44 UTC by Gris Ge
Modified: 2019-07-09 07:07 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1647690 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Gris Ge 2018-10-29 07:44:38 UTC
Description of problem:

nmstate would like to support disabling IPv6 like we did for IPv4.
To achieve that it could be ideal if NetworkManager could provide
support of NM_SETTING_IP6_CONFIG_METHOD_DISABLED.

Version-Release number of selected component (if applicable):
NetworkManager-1.14.0-1.el8.x86_64

How reproducible:
100%

Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Lubomir Rintel 2019-06-04 09:12:54 UTC
Looks good to me.

Perhaps nm_ip6_config_create_setting() could generate method=disabled if it sees ipv6.disabled sysctl set. (I'm not sure; it's not a merge blocker if tests pass)

Comment 3 Beniamino Galvani 2019-06-05 09:28:38 UTC
(In reply to Lubomir Rintel from comment #2)
> Looks good to me.
> 
> Perhaps nm_ip6_config_create_setting() could generate method=disabled if it
> sees ipv6.disabled sysctl set. (I'm not sure; it's not a merge blocker if
> tests pass)

Pushed a commit to do that.

Comment 5 Gris Ge 2019-06-25 15:07:56 UTC
Tested on NetworkManager-1.20.0-0.3.el8, ipv6 disabling works well including after reboot.


Note You need to log in before you can comment on or make changes to this bug.